Skip to content

AcctRelCodeDesc⁠

Perform various operations for Symitar parameters.

Operations⁠

getAcctRelCodeDescSelectFields⁠

POST

Execute the persistent ParameterService getAcctRelCodeDescSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAcctRelCodeDescSelectFields
POST /nexum/627/persistent/parameter/getAcctRelCodeDescSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllAcctRelCodeDescFields": true,
    "AcctRelCodeDescFields": {
      "RelationshipCode": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateAcctRelCodeDescByID⁠

POST

Execute the persistent ParameterService updateAcctRelCodeDescByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateAcctRelCodeDescByID
POST /nexum/627/persistent/parameter/updateAcctRelCodeDescByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "AcctRelCodeDescFields": {
    "RelationshipCode": [
      {
        "EntryId": 0,
        "RelationshipCode": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}